package com.cm.common.pojo.dtos.bigdatatemplate;

import com.cm.common.pojo.dtos.bigdatatemplatearea.BigdataTemplateAreaDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.ArrayList;
import java.util.List;

/**
 *
 * @ClassName: BigdataTemplateDTO
 * @Description: 大数据展示的模板管理
 * @Author: WenG
 * @Date: 2020-10-20 10:49
 * @Version: 1.0
 **/
@ApiModel
public class BigdataTemplateDTO {

    @ApiModelProperty(name = "bigdataTemplateId", value = "主键")
    private String bigdataTemplateId;
    @ApiModelProperty(name = "bigdataTemplateCode", value = "模板编码")
    private String bigdataTemplateCode;
    @ApiModelProperty(name = "bigdataTemplateBackgroundImage", value = "模板背景图")
    private String bigdataTemplateBackgroundImage;
    @ApiModelProperty(name = "bigdataTemplateTitle", value = "模板标题")
    private String bigdataTemplateTitle;
    @ApiModelProperty(name = "bigdataTemplateHeight", value = "模板高度")
    private Double bigdataTemplateHeight;
    @ApiModelProperty(name = "bigdataTemplateWidth", value = "模板宽度")
    private Double bigdataTemplateWidth;
    @ApiModelProperty(name = "bigdataTemplatePublishStatus", value = "模板发布状态")
    private String bigdataTemplatePublishStatus;
    @ApiModelProperty(name = "bigdataTemplatePublishTime", value = "模板发布时间")
    private String bigdataTemplatePublishTime;
    @ApiModelProperty(name = "bigdataTemplateUrl", value = "模板访问地址")
    private String bigdataTemplateUrl;
    @ApiModelProperty(name = "bigdataTemplateContent", value = "模板代码")
    private String bigdataTemplateContent;
    @ApiModelProperty(name = "areaList", value = "模块区域")
    private List<BigdataTemplateAreaDTO> areaList;
    @ApiModelProperty(name = "bigdataTemplateFile", value = "模板附件")
    private String bigdataTemplateFile;
    @ApiModelProperty(name = "fileList", value = "模板附件")
    private List<BigdataTemplateFileDTO>  fileList;
    @ApiModelProperty(name = "bigdataTemplateBack", value = "模板类型")
    private String bigdataTemplateBack;


    public String getBigdataTemplateBack() {
        return bigdataTemplateBack == null ? "" : bigdataTemplateBack;
    }

    public void setBigdataTemplateBack(String bigdataTemplateBack) {
        this.bigdataTemplateBack = bigdataTemplateBack;
    }

    public List<BigdataTemplateFileDTO> getFileList() {
        if (fileList == null) {
            return new ArrayList<>();
        }
        return fileList;
    }

    public void setFileList(List<BigdataTemplateFileDTO> fileList) {
        this.fileList = fileList;
    }

    public String getBigdataTemplateFile() {
        return bigdataTemplateFile == null ? "" : bigdataTemplateFile;
    }

    public void setBigdataTemplateFile(String bigdataTemplateFile) {
        this.bigdataTemplateFile = bigdataTemplateFile;
    }

    public List<BigdataTemplateAreaDTO> getAreaList() {
        if (areaList == null) {
            return new ArrayList<>();
        }
        return areaList;
    }

    public void setAreaList(List<BigdataTemplateAreaDTO> areaList) {
        this.areaList = areaList;
    }

    public String getBigdataTemplateId() {
        return bigdataTemplateId == null ? "" : bigdataTemplateId.trim();
    }

    public void setBigdataTemplateId(String bigdataTemplateId) {
        this.bigdataTemplateId = bigdataTemplateId;
    }

    public String getBigdataTemplateCode() {
        return bigdataTemplateCode == null ? "" : bigdataTemplateCode.trim();
    }

    public void setBigdataTemplateCode(String bigdataTemplateCode) {
        this.bigdataTemplateCode = bigdataTemplateCode;
    }

    public String getBigdataTemplateBackgroundImage() {
        return bigdataTemplateBackgroundImage == null ? "" : bigdataTemplateBackgroundImage.trim();
    }

    public void setBigdataTemplateBackgroundImage(String bigdataTemplateBackgroundImage) {
        this.bigdataTemplateBackgroundImage = bigdataTemplateBackgroundImage;
    }

    public String getBigdataTemplateTitle() {
        return bigdataTemplateTitle == null ? "" : bigdataTemplateTitle.trim();
    }

    public void setBigdataTemplateTitle(String bigdataTemplateTitle) {
        this.bigdataTemplateTitle = bigdataTemplateTitle;
    }

    public Double getBigdataTemplateHeight() {
        return bigdataTemplateHeight == null ? 0D : bigdataTemplateHeight;
    }

    public void setBigdataTemplateHeight(Double bigdataTemplateHeight) {
        this.bigdataTemplateHeight = bigdataTemplateHeight;
    }

    public Double getBigdataTemplateWidth() {
        return bigdataTemplateWidth == null ? 0D : bigdataTemplateWidth;
    }

    public void setBigdataTemplateWidth(Double bigdataTemplateWidth) {
        this.bigdataTemplateWidth = bigdataTemplateWidth;
    }

    public String getBigdataTemplatePublishStatus() {
        return bigdataTemplatePublishStatus == null ? "" : bigdataTemplatePublishStatus.trim();
    }

    public void setBigdataTemplatePublishStatus(String bigdataTemplatePublishStatus) {
        this.bigdataTemplatePublishStatus = bigdataTemplatePublishStatus;
    }

    public String getBigdataTemplatePublishTime() {
        return bigdataTemplatePublishTime == null ? "" : bigdataTemplatePublishTime.trim();
    }

    public void setBigdataTemplatePublishTime(String bigdataTemplatePublishTime) {
        this.bigdataTemplatePublishTime = bigdataTemplatePublishTime;
    }

    public String getBigdataTemplateUrl() {
        return bigdataTemplateUrl == null ? "" : bigdataTemplateUrl.trim();
    }

    public void setBigdataTemplateUrl(String bigdataTemplateUrl) {
        this.bigdataTemplateUrl = bigdataTemplateUrl;
    }

    public String getBigdataTemplateContent() {
        return bigdataTemplateContent == null ? "" : bigdataTemplateContent.trim();
    }

    public void setBigdataTemplateContent(String bigdataTemplateContent) {
        this.bigdataTemplateContent = bigdataTemplateContent;
    }


}
